Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 25 Mar 2021 08:56:57 +0000

Hi Alka Pandey,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions Dear Homebox, I was in your Bur Dubai store last night, 24th March and I purchased amounting to AED 1,293 around 9:25pm. They sales person who assisted me in paying using your barcode gadget and payment system informed that I will receive the receipt on my email, but I have not received the receipt until now. May email is [email-masked].

Please send the receipt of my purchases to my email id ASAP.

Also, I tried to call Homebox direct number 04 359 1158 as given by your call centre, but no one is picking up the calls.

I just need my receipt please. Thank you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2299985